package com.gh.gamecenter.setting.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IBrowserInstallHelperProvider
import com.gh.gamecenter.core.utils.ToastUtils

@Route(path = RouteConsts.provider.browserInstallHelper, name = "BrowserInstallHelper暴露服务")
class BrowserInstallHelperProviderImpl : IBrowserInstallHelperProvider {
    override fun isUseBrowserToInstallEnabled(): Boolean {
        return false
    }

    override fun shouldUseBrowserToInstall(): Boolean {
        return false
    }

    override fun logSwitchInstallSettingEvent() {
        ToastUtils.toast("调用->BrowserInstallHelperProviderImpl.logSwitchInstallSettingEvent")
    }


    override fun init(context: Context?) {
        // Do nothing
    }
}